Skip to main content
`Ctrl`+`K`

# numpy.matrix.var

method

matrix.var(axis=None, dtype=None, out=None, ddof=0)

  Returns the variance of the matrix elements, along the given axis.

  Refer to `numpy.var` for full documentation.

  See also

  `numpy.var`

  Notes

  This is the same as `ndarray.var`, except that where an `ndarray` would be returned, a `matrix` object is returned instead.

  Examples

      >>> x = np.matrix(np.arange(12).reshape((3, 4)))
      >>> x
      matrix([[ 0,  1,  2,  3],
              [ 4,  5,  6,  7],
              [ 8,  9, 10, 11]])
      >>> x.var()
      11.916666666666666
      >>> x.var(0)
      matrix([[ 10.66666667,  10.66666667,  10.66666667,  10.66666667]]) # may vary
      >>> x.var(1)
      matrix([[1.25],
              [1.25],
              [1.25]])